com.taosdata.jdbc

## Class SchemalessStatement

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractStatement
    - - com.taosdata.jdbc.AbstractStatementWrapper
      - - com.taosdata.jdbc.SchemalessStatement

All Implemented Interfaces:
  AutoCloseable, Statement, Wrapper

    public class SchemalessStatement
    extends AbstractStatementWrapper

### Field Summary

### Fields inherited from class com.taosdata.jdbc.AbstractStatementWrapper

`statement`

### Fields inherited from class com.taosdata.jdbc.AbstractStatement

`affectedRows, batchedArgs`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`SchemalessStatement(Statement statement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `executeSchemaless(String[] strings, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType)`
`void` `executeSchemaless(String sql, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType)`

### Methods inherited from class com.taosdata.jdbc.AbstractStatementWrapper

`close, execute, executeQuery, executeUpdate, getConnection, getResultSet, getUpdateCount, isClosed`

### Methods inherited from class com.taosdata.jdbc.AbstractStatement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, executeBatch, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, getLargeUpdateCount, setLargeMaxRows`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### SchemalessStatement

    public SchemalessStatement(Statement statement)

### Method Detail

#### executeSchemaless

    public void executeSchemaless(String[] strings,
                                  SchemalessProtocolType protocolType,
                                  SchemalessTimestampType timestampType)
                           throws SQLException

Throws:
  `SQLException`

#### executeSchemaless

    public void executeSchemaless(String sql,
                                  SchemalessProtocolType protocolType,
                                  SchemalessTimestampType timestampType)
                           throws SQLException

Throws:
  `SQLException`